.block-latest-job-offers {
    margin-top: 70px;
    margin-bottom: 96px;
}

.block-latest-job-offers__list {
    display: flex;
    flex-direction: column;
    gap: 24px;
    max-width: 898px!important;
}

.block-latest-job-offers__pagination {
    flex: 1 1 100%;
    padding-top: 20px;
    margin-top: 24px;
    border-top: 1px solid #E1E1DF;
}
body.has-blue-background-color .block-latest-job-offers__pagination {
    border-top-color: rgba(255, 255, 223, 0.2);
}

.block-latest-job-offers__form {
    display: flex;
    justify-content: center;
    margin-bottom: 48px;
}
.block-latest-job-offers__form .filters__contract-type .choices {
    display: none;
}
.filters__contract-type__list {
    display: flex;
    flex-wrap: wrap;
    gap: 8px;
    align-items: center;
}
.filters__contract-type__list button {
    position: relative;
    padding: 10px 14px;
    white-space: nowrap;
    font-size: 1rem;
    line-height: 1.3;
    font-weight: 600;
    border-radius: 6px;
    transition: 0.3s ease-out;
}
.filters__contract-type__list button:not(.is-selected)::after {
    content: '';
    position: absolute;
    left: 0;
    bottom: 0;
    width: 0;
    opacity: 0;
    border: 1px solid;
    transition: width 0.5s ease-out, opacity 0s 0.5s;
}
.filters__contract-type__list button:not(.is-selected):hover::after {
    width: 100%;
    opacity: 1;
    transition: width 0.5s ease-out;
}
.filters__contract-type__list button.is-selected {
    background: #F6F6F6;
    color: #595959;
}

.block-latest-job-offers__no-job-offer .block-h2,
.block-latest-job-offers__speculative-application .block-h2 {
    color: var(--wp--preset--color--golden);
}
.block-latest-job-offers:has(+.block-latest-job-offers__no-job-offer),
.block-latest-job-offers:has(+.block-latest-job-offers__speculative-application) {
    margin-bottom: 48px;
}


.job-offer-summary {
    display: flex;
    align-items: center;
    gap: 60px;
    color: var(--wp--preset--color--blue);
    padding: 32px 38px;
    border-radius: 8px;
}
.job-offer-summary__thumbnail {
    flex: 0 0 100px;
}
.job-offer-summary__thumbnail img {
    display: block;
}
.job-offer-summary__content {
    display: flex;
    flex-wrap: wrap;
    justify-content: space-between;
    align-items: center;
    gap: 8px 100px;
}
.job-offer-summary__date {
    font-size: 0.875rem;
    line-height: 1.3;
    font-weight: 600;
    text-transform: uppercase;
    color: var(--wp--preset--color--golden);
    flex: 1 1 100%;
}
.job-offer-summary__title {
    font-size: 1.5rem;
    line-height: 1.3;
    font-weight: 700;
    text-transform: uppercase;
    flex: 1 1 100%;
    margin: 0 0 5px;
}

.job-offer-summary__attributes {
    display: flex;
    flex-wrap: wrap;
    justify-content: space-between;
    flex: 1 1 auto;
    font-size: 0.875rem;
    line-height: 1.3;
    font-weight: 500;
    color: var(--wp--preset--color--grey-main);
}
.job-offer-summary__attributes__item::before {
    content: '';
    display: inline-block;
    vertical-align: top;
    margin: 6.5px 4px 0 0;
    width: 5px;
    height: 5px;
    border-radius: 50%;
    background-color: #8992C8;
}


@media screen and (max-width: 991px) {
    .job-offer-summary__thumbnail {
        align-self: flex-start;
    }
    .block-latest-job-offers__form {
        margin-bottom: 32px;
    }
    .filters__contract-type {
        flex: 1 1 100%;
    }
    .block-latest-job-offers__form .filters__contract-type .choices {
        display: block;
        margin-bottom: 0;
    }
    .filters__contract-type__list {
        display: none;
    }
}

@media screen and (max-width: 767px) {
    .block-latest-job-offers__form {
        margin-bottom: 20px;
        scroll-margin-top: calc(var(--custom-theme-site-header-height) + 20px);
    }

    .block-latest-job-offers__list {
        gap: 16px;
    }
    .job-offer-summary {
        position: relative;
        padding: 32px;
    }
    .job-offer-summary__thumbnail {
        width: 44px;
        height: 44px;
        position: absolute;
        top: 32px;
        left: 32px;
    }
    .job-offer-summary__thumbnail img {
        width: 100%;
        height: 100%;
        object-fit: contain;
    }
    .job-offer-summary__date {
        padding-left: calc(44px + 16px);
        height: 44px;
        display: flex;
        align-items: center;
    }
    .job-offer-summary__attributes {
        flex-direction: column;
        gap: 8px;
        margin-bottom: 16px;
    }

    .block-latest-job-offers:has(+.block-latest-job-offers__no-job-offer),
    .block-latest-job-offers:has(+.block-latest-job-offers__speculative-application) {
        margin-bottom: 32px;
    }
}
